<?php
class FindProdFinalAction extends wtActions
{
    public function execute()
    {
        $i_Id         = $this->getRequestParameter( 'i_Id' );
        $this->noedit = $this->getRequestParameter( 'noedit' );
        
        $o_VTA_OrdenFN = new VTA_OrdenFN();
        $this->o_VTA_OrdenBN = $o_VTA_OrdenFN->selectByPK( $i_Id );
        
        $o_VTA_ProductoFinalFN = new VTA_ProductoFinalFN();
        $o_VTA_ProductoFinalFN->setOrdenId( $i_Id );
        $o_VTA_ProductoFinalFN->addOrderBy( VTA_ProductoFinalFN::Secuencia );
        $this->a_VTA_ProductoFinal = $o_VTA_ProductoFinalFN->select();
        
        ViewResponse::getInstance()->setMethodAjax();
    }
}